%define name irker
%define version 1.15
%define release %mkrel 4

%define hookdir %{_prefix}/lib/%{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	IRC Message Relay
License:	BSD
Group:		Networking/IRC
URL: 		http://www.catb.org/esr/irker/
Source0:	http://www.catb.org/~esr/irker/%{name}-%{version}.tar.gz
Patch0: irker-1.9-systemd-unit-user.patch
BuildArch: noarch
Requires(post,postun):	rpm-helper
Requires: python-irc
Requires: python-simplejson
BuildRequires: xmlto
BuildRequires: docbook-style-xsl
BuildRequires: systemd-devel

%description
An IRC client that runs as a daemon accepting notification requestsas JSON 
objects presented to a listening socket. It is meant to be used by hook scripts
in version-control repositories, allowing them to send commit notifications to
project IRC channels.

A hook script that works with git, hg, and svn is included in the distribution.

%prep
%setup -q
%apply_patches
sed -i 's/-o 0 -g 0 //' Makefile

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%__install -D --mode=755 irkerhook.py %{buildroot}%{hookdir}/irkerhook.py

%pre
%_pre_useradd %{name} / /bin/false

%post
%_post_service %{name}d

%preun
%_preun_service %{name}d

%postun
%_postun_userdel %{name}

%clean
rm -rf %{buildroot}

%files
%doc README
%{_bindir}/%{name}*
%{_unitdir}/%{name}*.service
%{_mandir}/man*/%{name}*
%dir %hookdir
%{hookdir}/irkerhook.py*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.15-4.mga4
+ Revision: 545880
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.15-3.mga4
+ Revision: 501939
- include pyc and pyo files in files list

* Sat Jan 12 2013 umeabot <umeabot> 1.15-2.mga3
+ Revision: 354495
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 boklm <boklm> 1.15-1.mga3
+ Revision: 335826
- Version 1.15
- Install irkerhook.py in /usr/lib/irker

* Tue Oct 09 2012 colin <colin> 1.9-1.mga3
+ Revision: 303709
- Add systemd-devel BR for .service file
- Add some requires and buildrequires
- imported package irker

